Reset Warning Flags for E9+ - One (E9+) General

Hello all,
Please help me to reset warning flags for my E9+, in order to send it to HTC. My battery is overheating and the phones turns off, despite the fact it is not warm outside. I presume a temperature sensor is not functioning correctly or a faulty battery cell...
I have S-off, I changed the SuperCID in HTC__621, the original one, I flashed the proper TW RUU, but I need the commands to get rid of "UNLOCKED" and "Status software:Modified" things...
I found the adb commands for M8, M9, M7, but not for E9+...
Can somebody share these to me, please?
Thanks

After a sleepless night, I found the command on a chinese forum. I share it with you now:
adb shell
su
echo -ne '\x00' | dd of=/dev/block/mmcblk0p11 bs=1 seek=39940
Worked perfect for me! I'm back to status "official"!
And for locking/unlocking bootloader (not tested yet) :
adb shell
su
Locked
echo -ne '\x00\x00\x00\x00' | dd of=/dev/block/mmcblk0p9 bs=1 seek=33796
Unlock
echo -ne 'HTCU' | dd of=/dev/block/mmcblk0p9 bs=1 seek=33796
Relock
echo -ne 'HTCL' | dd of=/dev/block/mmcblk0p9 bs=1 seek=33796

Related

restore "locked" flag in bootloader with s-off

Hi,
this is the adb command for m7:
adb shell echo -ne '\x00\x00\x00\x00' | dd of=/dev/block/mmcblk0p3 bs=1 seek=33796
which partition is this on m8?
here is the m8 partition list: https://docs.google.com/spreadsheets/d/1uTfhr5sUFpdYKpHMFOOUnb1T5kOBu411_rcEb_Fz37A/edit#gid=0
can't find this for m7, someone has a link?
regards
starbase64
starbase64 said:
Hi,
this is the adb command for m7:
adb shell echo -ne '\x00\x00\x00\x00' | dd of=/dev/block/mmcblk0p3 bs=1 seek=33796
which partition is this on m8?
here is the m8 partition list: https://docs.google.com/spreadsheets/d/1uTfhr5sUFpdYKpHMFOOUnb1T5kOBu411_rcEb_Fz37A/edit#gid=0
can't find this for m7, someone has a link?
regards
starbase64
Click to expand...
Click to collapse
look here

Trouble (accidentally locked dev edition device)

I accidentally locked the bootloader on my developer edition one M8. I was returning it to stock for a warranty exchange (I already have the replacement device and I need to ship the old one back within the next few days).
I need to get this thing back to stock ASAP
Right now my bootloader is locked (laugh all you want. I'm an idiot.) but I'm S-OFF. Where do I go from here? I need to make sure I'm S-ON and have the tampered flag removed before I send it back, otherwise I'm sure they will bill me for a replacement motherboard and not allow me to have any say in that.
This is basically what I need to undo (I was in a hurry and copy/pasted the wrong text from a tutorial)
adb shell
su
echo -ne '\x00\x00\x00\x00' | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
exit
exit
Code:
to UNLOCK your bootloader,enter the following:
adb devices
adb shell
su (if needed to get a # prompt)
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
(i would very strongly recomend you copy/paste this)
exit
(exit a second time if you need to to get back to a normal > prompt)
adb reboot bootloader
verify you are now unlocked
This is from this thread -
http://forum.xda-developers.com/showthread.php?t=2708571
Thanks a million! It worked like a charm!

change bsck to mid 0P9C70000

Kindly help. I changed my HTC desire 816 dual sim mid and I need the script to change it back to 0P9C70000. I used this tread ;
http://forum.xda-developers.com/showthread.php?t=2708581 and my mid changed but I couldn't find the echo code to change back to 0P9C70000
Thank you
Here you have
echo -ne '\x30\x00\x50\x00\x39\x00\x43\x00\x37\x00\x30\x00\x30\x00\x30\x00\x30' | dd of=/dev/block/mmcblk0p5 bs=1 seek=16384

M9 S-0ff, can't unlock

Verizon M9, is S-0ff, cid 11111111.
When I do fastboot request for token, here's the error message:
c:\Program Files (x86)\Android\android-sdk\platform-tools>fastboot oem get_identifier_token
(bootloader) [KillSwitch] : /dev/block/bootdevice/by-name/frp
(bootloader) [KillSwitch] Last Byte is 0X00, disable unlock
(bootloader) [KillSwitch] oem unlock Turn Off!
OKAY [ 0.071s]
finished. total time: 0.072s
Can you guess what this is and how to fix it?
Thanks
michaelbsheldon said:
Verizon M9, is S-0ff, cid 11111111.
When I do fastboot request for token, here's the error message:
c:\Program Files (x86)\Android\android-sdk\platform-tools>fastboot oem get_identifier_token
(bootloader) [KillSwitch] : /dev/block/bootdevice/by-name/frp
(bootloader) [KillSwitch] Last Byte is 0X00, disable unlock
(bootloader) [KillSwitch] oem unlock Turn Off!
OKAY [ 0.071s]
finished. total time: 0.072s
Can you guess what this is and how to fix it?
Thanks
Click to expand...
Click to collapse
How to unlock the bootloader? Don't go through HTC (they don't need to know )
http://forum.xda-developers.com/one-m9/general/how-to-lock-unlock-bootloader-htcdevs-t3092036
to UNLOCK your bootloader,enter the following:
Code:
adb devices
adb shell
su (if needed to get a # prompt)
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
(i would very strongly recomend you copy/paste this)
exit
(exit a second time if you need to to get back to a normal > prompt)
adb reboot bootloader
verify you are now unlocked
andybones said:
How to unlock the bootloader? Don't go through HTC (they don't need to know )
http://forum.xda-developers.com/one-m9/general/how-to-lock-unlock-bootloader-htcdevs-t3092036
to UNLOCK your bootloader,enter the following:
Code:
adb devices
adb shell
su (if needed to get a # prompt)
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
(i would very strongly recomend you copy/paste this)
exit
(exit a second time if you need to to get back to a normal > prompt)
adb reboot bootloader
verify you are now unlocked
Click to expand...
Click to collapse
Thanks for this: it was stock recovery, no SU - but finally got it done....
:good::good::good:
Tried that, though got the following
-ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796 <
dd: /dev/block/mmcblk0p2: Permission denied
1|[email protected]_himawl:/ $
Any idea what that is, and how to rectify?
andybones said:
How to unlock the bootloader? Don't go through HTC (they don't need to know )
http://forum.xda-developers.com/one-m9/general/how-to-lock-unlock-bootloader-htcdevs-t3092036
to UNLOCK your bootloader,enter the following:
Code:
adb devices
adb shell
su (if needed to get a # prompt)
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
(i would very strongly recomend you copy/paste this)
exit
(exit a second time if you need to to get back to a normal > prompt)
adb reboot bootloader
verify you are now unlocked
Click to expand...
Click to collapse
mlev1987 said:
-ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796 <
dd: /dev/block/mmcblk0p2: Permission denied
1|[email protected]_himawl:/ $
Any idea what that is, and how to rectify?
Click to expand...
Click to collapse
Copy n paste code...
The code is:
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
Not
-ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
Forgetting "echo"
You're lucky you didn't brick your device.
andybones said:
Copy n paste code...
The code is:
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
Not
-ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
Forgetting "echo"
You're lucky you didn't brick your device.
Click to expand...
Click to collapse
I copy and pasted exactly how you put it, with echo as well. This is the response I got
mlev1987 said:
I copy and pasted exactly how you put it, with echo as well. This is the response I got
Click to expand...
Click to collapse
You're doing something wrong then. Guy above you followed same direction and worked fine.
This is link to the thread if you want to direct your questions there.
http://forum.xda-developers.com/one-m9/general/how-to-lock-unlock-bootloader-htcdevs-t3092036
andybones said:
You're doing something wrong then. Guy above you followed same direction and worked fine.
This is link to the thread if you want to direct your questions there.
http://forum.xda-developers.com/one-m9/general/how-to-lock-unlock-bootloader-htcdevs-t3092036
Click to expand...
Click to collapse
my phone is not S-off. does that make a difference?
mlev1987 said:
my phone is not S-off. does that make a difference?
Click to expand...
Click to collapse
oh boy.. yes.
Please go to the thread I linked to you.
the guy above you had posted he was S-OFF.
Last thing I'd want is to see a brick happen.
andybones said:
oh lord yes.
Click to expand...
Click to collapse
sorry. back to square one. gotta get s-off
thanks
mlev1987 said:
sorry. back to square one. gotta get s-off
thanks
Click to expand...
Click to collapse
Sunshine now supports the Verizon HTC M9, I highly suggest it.
$25 is WELL worth it.
http://theroot.ninja/index.html
http://forum.xda-developers.com/showthread.php?t=2792487
"3.3.2 - now supports verizon m8 on the marshmallow firmware HTCOneM8vzw/htc_m8wl:6.0/MRA58K/708002.3:user/release-keys
3.3 - The Verizon m9 update
The LONG awaited update, we have added Temproot (and thus unlock and s-off) support for the Verizon HTC m9 on the HTCOneM9vzw/htc_himawl:6.0/MRA58K/669662.7:user/release-keys firmware (latest as of this posting)."
andybones said:
Sunshine now supports the Verizon HTC M9, I highly suggest it.
$25 is WELL worth it.
http://theroot.ninja/index.html
http://forum.xda-developers.com/showthread.php?t=2792487
"3.3.2 - now supports verizon m8 on the marshmallow firmware HTCOneM8vzw/htc_m8wl:6.0/MRA58K/708002.3:user/release-keys
3.3 - The Verizon m9 update
The LONG awaited update, we have added Temproot (and thus unlock and s-off) support for the Verizon HTC m9 on the HTCOneM9vzw/htc_himawl:6.0/MRA58K/669662.7:user/release-keys firmware (latest as of this posting)."
Click to expand...
Click to collapse
Thanks
But what if you already used sunshine and like a dummy relock it to do update. Now I'm s off and can't unlock or relock.
Sent from my HTC6535LVW using Tapatalk
---------- Post added at 02:35 PM ---------- Previous post was at 02:33 PM ----------
I've already downgraded and still cant
Sent from my HTC6535LVW using Tapatalk
johnnycm77 said:
But what if you already used sunshine and like a dummy relock it to do update. Now I'm s off and can't unlock or relock.
Sent from my HTC6535LVW using Tapatalk
---------- Post added at 02:35 PM ---------- Previous post was at 02:33 PM ----------
I've already downgraded and still cant
Have you tried this set of commands with a clean install of rooted custom rom? (With SuperSU setup correctly.)
to UNLOCK your bootloader, enter the following:
adb devices
adb shell
su (if needed to get a # prompt)
echo -ne "HTCU" | dd of=/dev/block/mmcblk0p2 bs=1 seek=33796
(i would very strongly recommend you copy/paste this)
exit
(exit a second time if you need to to get back to a normal > prompt)
adb reboot bootloader
verify you are now unlocked
Click to expand...
Click to collapse
I tried that it denied me. I can't root for some reason
Sent from my HTC6545LVW using Tapatalk
johnnycm77 said:
I tried that it denied me. I can't root for some reason
Sent from my HTC6545LVW using Tapatalk
Click to expand...
Click to collapse
If you have TWRP installed, place one of the custom roms from here in the M9 section.
Odexed, deodexed - doesn't matter - just not a stock RUU. It will be rooted already. Then proceed with unlock.
I keep doing that but for some reason it isn't rooted when I boot back up. In my twrp it shows that it installed it but it doesn't. My bootloader status shows locked instead of relocked or tampered.
Sent from my HTC6545LVW using Tapatalk
johnnycm77 said:
I keep doing that but for some reason it isn't rooted when I boot back up. In my twrp it shows that it installed it but it doesn't. My bootloader status shows locked instead of relocked or tampered.
Sent from my HTC6545LVW using Tapatalk
Click to expand...
Click to collapse
Open adb Shell while your phone is booted into twrp. That shell has root prompts by default so simply run the echo cmd to unlock the phone.
Sent from my SM-N930V using Tapatalk
Thank you
Sent from my HTC6535LVW using Tapatalk
dottat said:
Open adb Shell while your phone is booted into twrp. That shell has root prompts by default so simply run the echo cmd to unlock the phone.
Sent from my SM-N930V using Tapatalk
Click to expand...
Click to collapse
NICE, is this for M9 only, or will it work on HTC10?

Meizu M5s unlocking bootloader

Hello there I got a trouble with Meizu, I have finally overwrite FRP with 0x01 flag but it seems that is not the end. Here is my batch:
Code:
#!/system/bin/sh
set -e
# check if busybox installed
BUSYBOX=/system/xbin/strings
alias dd='busybox dd'
FRP=$(getprop ro.frp.pst)
FRPSIZE=$(wc -c $(getprop ro.frp.pst | awk '{print $1}') | awk '{print $1}')
if [ -z "$FRP" ] || [ -z "$FRPSIZE"] ; then
echo "FRP not found, or FRP length is invalid"
exit 1
fi
echo "backup original FRP patririon $FRP"
echo "IMPORTANT !!!!!"
echo "store this backup to PC *before* oem unlock via fastboot"
if ! dd if="$FRP" of=/mnt/sdcard/frp.img 2> /dev/null ; then
echo "Cannot make backup, exit"
fi
echo "prepare new FRP file"
cp /mnt/sdcard/frp.img /mnt/sdcard/frp_tmp.img
# extract old digest
dd if=/mnt/sdcard/frp.img of=/mnt/sdcard/digest.img bs=1 count=32 2> /dev/null
# replace digest with 32 zero bytes
for i in $(seq 0 31) ; do echo -e '\x00' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$i conv=notrunc 2> /dev/null ; done
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Locked digest is $DIGEST"
# set unlock flag in FRP
echo -ne '\x01' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$((FRPSIZE - 1)) conv=notrunc 2> /dev/null
# re-calculate digest
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Unlocked digest is $DIGEST"
TMPFILE=$(mktemp -p /sdcard XXXXXXXX)
for i in $(seq 1 2 64) ; do
echo -n "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))" >> "$TMPFILE"
echo "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))"
done
# place unlocked digest back to FRP
dd if="$TMPFILE" of="/mnt/sdcard/frp_tmp.img" bs=1 count=32 conv=notrunc 2> /dev/null
rm -f "$TMPFILE"
# flash unlocked FRP back
if ! dd if=/mnt/sdcard/frp_tmp.img of="$FRP" ; then
echo "FRP is read-only"
echo "Unlock failed"
exit 1
fi
echo "Done. FRP is unlocked"
echo "Now you can reboot bootloader"
echo "Then run 'fasboot oem unlock'"
I've modified the code from M2, because expr substr was not supported on M5s.
Things I have done until now:
-> Install Flyme 6.2.0.0G to get root
-> Finally rooted
-> Installed BusyBox
-> adb shell, su, sh /mnt/sdcard/unlock_bootloader.sh (modified code in link above)
-> reboot bootloader, fastboot oem unlock
Failed
I wanna flash system with my custom system.img but I can't. Also remember, Meizu M5s have no OEM Unlocking in Dev Options.
Anyone has tried to flash it?
Thanks in adive
MeizuNoob said:
Hello there I got a trouble with Meizu, I have finally overwrite FRP with 0x01 flag but it seems that is not the end. Here is my batch:
Code:
#!/system/bin/sh
set -e
# check if busybox installed
BUSYBOX=/system/xbin/strings
alias dd='busybox dd'
FRP=$(getprop ro.frp.pst)
FRPSIZE=$(wc -c $(getprop ro.frp.pst | awk '{print $1}') | awk '{print $1}')
if [ -z "$FRP" ] || [ -z "$FRPSIZE"] ; then
echo "FRP not found, or FRP length is invalid"
exit 1
fi
echo "backup original FRP patririon $FRP"
echo "IMPORTANT !!!!!"
echo "store this backup to PC *before* oem unlock via fastboot"
if ! dd if="$FRP" of=/mnt/sdcard/frp.img 2> /dev/null ; then
echo "Cannot make backup, exit"
fi
echo "prepare new FRP file"
cp /mnt/sdcard/frp.img /mnt/sdcard/frp_tmp.img
# extract old digest
dd if=/mnt/sdcard/frp.img of=/mnt/sdcard/digest.img bs=1 count=32 2> /dev/null
# replace digest with 32 zero bytes
for i in $(seq 0 31) ; do echo -e '\x00' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$i conv=notrunc 2> /dev/null ; done
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Locked digest is $DIGEST"
# set unlock flag in FRP
echo -ne '\x01' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$((FRPSIZE - 1)) conv=notrunc 2> /dev/null
# re-calculate digest
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Unlocked digest is $DIGEST"
TMPFILE=$(mktemp -p /sdcard XXXXXXXX)
for i in $(seq 1 2 64) ; do
echo -n "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))" >> "$TMPFILE"
echo "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))"
done
# place unlocked digest back to FRP
dd if="$TMPFILE" of="/mnt/sdcard/frp_tmp.img" bs=1 count=32 conv=notrunc 2> /dev/null
rm -f "$TMPFILE"
# flash unlocked FRP back
if ! dd if=/mnt/sdcard/frp_tmp.img of="$FRP" ; then
echo "FRP is read-only"
echo "Unlock failed"
exit 1
fi
echo "Done. FRP is unlocked"
echo "Now you can reboot bootloader"
echo "Then run 'fasboot oem unlock'"
I've modified the code from M2, because expr substr was not supported on M5s.
Things I have done until now:
-> Install Flyme 6.2.0.0G to get root
-> Finally rooted
-> Installed BusyBox
-> adb shell, su, sh /mnt/sdcard/unlock_bootloader.sh (modified code in link above)
-> reboot bootloader, fastboot oem unlock
Failed
I wanna flash system with my custom system.img but I can't. Also remember, Meizu M5s have no OEM Unlocking in Dev Options.
Anyone has tried to flash it?
Thanks in adive
Click to expand...
Click to collapse
How did you install 6.2.0.0G on meizu m5c if it does not exist?
MeizuNoob said:
Hello there I got a trouble with Meizu, I have finally overwrite FRP with 0x01 flag but it seems that is not the end. Here is my batch:
Code:
#!/system/bin/sh
set -e
# check if busybox installed
BUSYBOX=/system/xbin/strings
alias dd='busybox dd'
FRP=$(getprop ro.frp.pst)
FRPSIZE=$(wc -c $(getprop ro.frp.pst | awk '{print $1}') | awk '{print $1}')
if [ -z "$FRP" ] || [ -z "$FRPSIZE"] ; then
echo "FRP not found, or FRP length is invalid"
exit 1
fi
echo "backup original FRP patririon $FRP"
echo "IMPORTANT !!!!!"
echo "store this backup to PC *before* oem unlock via fastboot"
if ! dd if="$FRP" of=/mnt/sdcard/frp.img 2> /dev/null ; then
echo "Cannot make backup, exit"
fi
echo "prepare new FRP file"
cp /mnt/sdcard/frp.img /mnt/sdcard/frp_tmp.img
# extract old digest
dd if=/mnt/sdcard/frp.img of=/mnt/sdcard/digest.img bs=1 count=32 2> /dev/null
# replace digest with 32 zero bytes
for i in $(seq 0 31) ; do echo -e '\x00' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$i conv=notrunc 2> /dev/null ; done
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Locked digest is $DIGEST"
# set unlock flag in FRP
echo -ne '\x01' | dd of=/mnt/sdcard/frp_tmp.img bs=1 count=1 seek=$((FRPSIZE - 1)) conv=notrunc 2> /dev/null
# re-calculate digest
DIGEST=$(sha256sum /mnt/sdcard/frp_tmp.img | awk '{print $1}')
echo "Unlocked digest is $DIGEST"
TMPFILE=$(mktemp -p /sdcard XXXXXXXX)
for i in $(seq 1 2 64) ; do
echo -n "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))" >> "$TMPFILE"
echo "\x""$(echo $DIGEST | cut -c $(expr $i - 0)-$(expr $i + 1))"
done
# place unlocked digest back to FRP
dd if="$TMPFILE" of="/mnt/sdcard/frp_tmp.img" bs=1 count=32 conv=notrunc 2> /dev/null
rm -f "$TMPFILE"
# flash unlocked FRP back
if ! dd if=/mnt/sdcard/frp_tmp.img of="$FRP" ; then
echo "FRP is read-only"
echo "Unlock failed"
exit 1
fi
echo "Done. FRP is unlocked"
echo "Now you can reboot bootloader"
echo "Then run 'fasboot oem unlock'"
I've modified the code from M2, because expr substr was not supported on M5s.
Things I have done until now:
-> Install Flyme 6.2.0.0G to get root
-> Finally rooted
-> Installed BusyBox
-> adb shell, su, sh /mnt/sdcard/unlock_bootloader.sh (modified code in link above)
-> reboot bootloader, fastboot oem unlock
Failed
I wanna flash system with my custom system.img but I can't. Also remember, Meizu M5s have no OEM Unlocking in Dev Options.
Anyone has tried to flash it?
Thanks in adive
Click to expand...
Click to collapse
Do you have unlocked m5s? I have a fake version 6.2.0.3G and I want to replace it, smartphone is very hot during use and battery drain in a short time.. Please help me
I have m5c not m5s
Please close, i've bricked this phone, couldnt remove lock

Categories

Resources